AGGraph (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.jena, class: AGGraph

Package com.franz.agraph.jena

# Class AGGraph

java.lang.Object
org.apache.jena.graph.impl.GraphBase
com.franz.agraph.jena.AGGraph

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Graph`, `GraphWithPerform`

Direct Known Subclasses:
  `AGGraphUnion`, `AGInfGraph`

public class AGGraph extends GraphBase implements Graph, Closeable
Implements the Jena Graph interface for AllegroGraph.

- ## Field Summary

  ### Fields inherited from class org.apache.jena.graph.impl.GraphBase

  `TOSTRING_TRIPLE_BASE, TOSTRING_TRIPLE_LIMIT`

  ### Fields inherited from interface org.apache.jena.graph.Graph

  `emptyGraph`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `Capabilities`
  `getCapabilities()`
  `String`
  `getName()`
  `PrefixMapping`
  `getPrefixMapping()`
  `TransactionHandler`
  `getTransactionHandler()`
  `boolean`
  `isEmpty()`
  Answer true iff this graph contains no triples.
  `void`
  `performAdd(Triple t)`
  `void`
  `performDelete(Triple t)`
  `void`
  `remove(Node s, Node p, Node o)`
  `String`
  `toString()`
  `static String`
  `toString(String prefix, Graph graph)`
  Returns a human-consumable representation of `graph`.

  ### Methods inherited from class org.apache.jena.graph.impl.GraphBase

  `add, close, contains, contains, delete, dependsOn, find, find, forTestingOnly_graphBaseFind, getEventManager, isClosed, isIsomorphicWith, notifyAdd, notifyDelete, size`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.io.Closeable

  `close`

  ### Methods inherited from interface org.apache.jena.graph.Graph

  `add, add, close, contains, contains, delete, delete, dependsOn, find, find, find, getEventManager, isClosed, isIsomorphicWith, size, sizeLong, stream, stream`

- ## Method Details

  - ### toString

    public static String toString(String prefix, Graph graph)
    Returns a human-consumable representation of `graph`. The string `prefix` will appear at the beginning of the string. Nodes may be prefix-compressed using `graph`'s prefix-mapping. This default implementation will display all the triples exposed by the graph, including reification triples.
    Parameters:
      `prefix` - the prefix of the string returned
      `graph` - the Graph to render into a string
    Returns:
      String a human-consumable representation of the argument Graph

  - ### getName

    public String getName()

  - ### getCapabilities

    public Capabilities getCapabilities()
    Specified by:
      `getCapabilities` in interface `Graph`
    Overrides:
      `getCapabilities` in class `GraphBase`

  - ### getPrefixMapping

    public PrefixMapping getPrefixMapping()
    Specified by:
      `getPrefixMapping` in interface `Graph`
    Overrides:
      `getPrefixMapping` in class `GraphBase`

  - ### getTransactionHandler

    public TransactionHandler getTransactionHandler()
    Specified by:
      `getTransactionHandler` in interface `Graph`
    Overrides:
      `getTransactionHandler` in class `GraphBase`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `GraphBase`

  - ### performAdd

    public void performAdd(Triple t)
    Specified by:
      `performAdd` in interface `GraphWithPerform`
    Overrides:
      `performAdd` in class `GraphBase`

  - ### performDelete

    public void performDelete(Triple t)
    Specified by:
      `performDelete` in interface `GraphWithPerform`
    Overrides:
      `performDelete` in class `GraphBase`

  - ### isEmpty

    public boolean isEmpty()
    Answer true iff this graph contains no triples.

    Implemented using a SPARQL ASK for any triple in the graph's dataset; on large databases this is faster than determining whether the graph's size is zero.

    Specified by:
      `isEmpty` in interface `Graph`
    Overrides:
      `isEmpty` in class `GraphBase`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Graph`
    Overrides:
      `clear` in class `GraphBase`

  - ### remove

    public void remove(Node s, Node p, Node o)
    Specified by:
      `remove` in interface `Graph`
    Overrides:
      `remove` in class `GraphBase`